Index: main/plugin-odf-sync/src/org/ametys/plugins/odfsync/cdmfr/CoAccreditedRemoteCDMFrODFSyncManager.java
===================================================================
--- main/plugin-odf-sync/src/org/ametys/plugins/odfsync/cdmfr/CoAccreditedRemoteCDMFrODFSyncManager.java	(revision 0)
+++ main/plugin-odf-sync/src/org/ametys/plugins/odfsync/cdmfr/CoAccreditedRemoteCDMFrODFSyncManager.java	(revision 0)
@@ -0,0 +1,52 @@
+/*
+ *  Copyright 2016 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+package org.ametys.plugins.odfsync.cdmfr;
+
+import org.apache.avalon.framework.service.ServiceException;
+import org.apache.avalon.framework.service.ServiceManager;
+import org.apache.avalon.framework.service.Serviceable;
+
+import org.ametys.plugins.odfsync.ImportManager;
+import org.ametys.plugins.odfsync.ODFSyncManager;
+import org.ametys.plugins.odfsync.SynchronizationManager;
+
+/**
+ * Implementation to import ODF contents from co accredited remote CDM-fr input stream
+ *
+ */
+public class CoAccreditedRemoteCDMFrODFSyncManager implements ODFSyncManager, Serviceable
+{
+    private CoAccreditedRemoteCDMFRImportManager _importManager;
+    
+    @Override
+    public void service(ServiceManager smanager) throws ServiceException
+    {
+        _importManager = (CoAccreditedRemoteCDMFRImportManager) smanager.lookup(CoAccreditedRemoteCDMFRImportManager.ROLE);
+    }
+    
+    @Override
+    public ImportManager getImportManager()
+    {
+        return _importManager;
+    }
+
+    @Override
+    public SynchronizationManager getSynchronizationManager()
+    {
+        return null;
+    }
+    
+}
